org.eclipse.rdf4j.federated

## Enum FederationManager.FederationType

- java.lang.Object
- - java.lang.Enum<FederationManager.FederationType>
  - - org.eclipse.rdf4j.federated.FederationManager.FederationType

- All Implemented Interfaces:
    Serializable, Comparable<FederationManager.FederationType>
  Enclosing class:
    FederationManager

      public static enum FederationManager.FederationType
      extends Enum<FederationManager.FederationType>

  The Federation type definition: Local, Remote, Hybrid
  Author:
    Andreas Schwarte

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `HYBRID`
    `LOCAL`
    `REMOTE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FederationManager.FederationType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static FederationManager.FederationType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LOCAL

          public static final FederationManager.FederationType LOCAL

    - #### REMOTE

          public static final FederationManager.FederationType REMOTE

    - #### HYBRID

          public static final FederationManager.FederationType HYBRID

  - ### Method Detail

    - #### values

          public static FederationManager.FederationType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FederationManager.FederationType c : FederationManager.FederationType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FederationManager.FederationType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.